Subiject: Copying configuration fails for files in subdirectories

Description

When a file should be copied to a subdirectory of Configuration/*/, e.g. for a subcontext, the scp operation fails.

The (misleading) error message is scp: /var/www/.../Configuration/Production/Subcontext/: Is a directory — the real cause is that the
directory does not exist and thus scp would rather copy the file to the folder path, which is pointless as the path points to a directory.

Solution would be to execute a mkdir -p ...$configurationPath before copying the file.

Associated revisions

Revision 120f29af - 2014-07-11 13:37 - Andreas Wolf

[BUGFIX] Copying config fails for subdirectories

When a file should be copied to a subdirectory of *“Configuration/*/™",
e.g. for a subcontext, the scp operation fails.

The (misleading) error message is "scp:
/var/www/.../Configuration/Production/Subcontext/: Is a directory" — the
real cause is that the directory does not exist and thus scp would
rather copy the file to the folder path, which is pointless as the path
points to a directory (as the path ends in a slash).

Solution is to execute a “"mkdir -p ...$configurationPath™ before
copying the file.

Change-Id: [f00cb0dd133ed24a511224¢7092e4938ec5fc9fb
Resolves: #48652

History

#1 - 2014-03-09 18:06 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.Surf has been pushed to the review server.
It is available at https://review.typo3.0rg/28201

#2 - 2014-07-11 13:37 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.Surf has been pushed to the review server.
It is available at https://review.typo3.0rg/28201
#3 - 2015-01-25 23:42 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:120f29af1f74ee6faa9d5a40404c9158dc1433f0.
